<?php

namespace Accept_Stripe_Payments\Country_Detect;

class Admin {

	public $plugin_slug;
	public $helper;

	function __construct( $helper ) {
		$this->plugin_slug = \AcceptStripePayments_Admin::get_instance()->plugin_slug;
		$this->helper      = $helper;
		add_action( 'admin_init', array( $this, 'register_settings' ) );
		add_action( 'asp-settings-page-after-tabs-menu', array( $this, 'after_tabs_menu' ) );
		add_action( 'asp-settings-page-after-tabs', array( $this, 'after_tabs' ) );
		add_filter( 'asp-admin-settings-addon-field-display', array( $this, 'field_display' ), 10, 2 );
		add_filter( 'apm-admin-settings-sanitize-field', array( $this, 'sanitize_settings' ), 10, 2 );
	}

	function sanitize_settings( $output, $input ) {
		$output['country_autodetect_enable'] = empty( $input['country_autodetect_enable'] ) ? 0 : 1;

		return $output;
	}

	function field_display( $field, $field_value ) {
		$ret = array();
		switch ( $field ) {
			case 'country_autodetect_enable':
				$ret['field']      = 'checkbox';
				$ret['field_name'] = $field;
				break;
		}
		if ( ! empty( $ret ) ) {
			return $ret;
		} else {
			return $field;
		}
	}

	function show_section_descr() {
		echo 'IP Geolocation by <a href="https://www.geoplugin.com/" target="_new">geoPlugin</a>';
	}

	function register_settings() {
		$this->helper->add_settings_section( __( 'Country Autodetect Settings', 'asp-country-autodetect' ), array( $this, 'show_section_descr' ) );
		$this->helper->add_settings_field( 'country_autodetect_enable', __( 'Enable Country Autodetect', 'asp-country-autodetect' ), __( 'Enables customer country autodetect.', 'asp-country-autodetect' ) );
	}

	function after_tabs_menu() {
		?>
	<a href="#countrydetect" data-tab-name="countrydetect" class="nav-tab"><?php echo __( 'Country Autodetect', 'asp-country-autodetect' ); ?></a>
		<?php
	}

	function after_tabs() {
		?>
	<div class="wp-asp-tab-container asp-countrydetect-container" data-tab-name="countrydetect">
		<?php do_settings_sections( $this->plugin_slug . '-countrydetect' ); ?>
	</div>
		<?php
	}

}
